--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: []

comment: 
constants: []

full_name: Mocha::AnyInstanceMethod
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: define_new_method
- !ruby/object:RI::MethodSummary 
  name: hide_original_method
- !ruby/object:RI::MethodSummary 
  name: method_exists?
- !ruby/object:RI::MethodSummary 
  name: mock
- !ruby/object:RI::MethodSummary 
  name: remove_new_method
- !ruby/object:RI::MethodSummary 
  name: restore_original_method
- !ruby/object:RI::MethodSummary 
  name: unstub
name: AnyInstanceMethod
superclass: ClassMethod
